## UDisksBlockBcache

UDisksBlockBcache — Generated C code for the org.freedesktop.UDisks2.Block.Bcache D-Bus interface

## Functions

void | udisks_block_bcache_call_bcache_destroy ()
gboolean | udisks_block_bcache_call_bcache_destroy_finish ()
gboolean | udisks_block_bcache_call_bcache_destroy_sync ()
void | udisks_block_bcache_call_set_mode ()
gboolean | udisks_block_bcache_call_set_mode_finish ()
gboolean | udisks_block_bcache_call_set_mode_sync ()
void | udisks_block_bcache_complete_bcache_destroy ()
void | udisks_block_bcache_complete_set_mode ()
gchar * | udisks_block_bcache_dup_mode ()
gchar * | udisks_block_bcache_dup_state ()
guint64 | udisks_block_bcache_get_block_size ()
guint64 | udisks_block_bcache_get_bypass_hits ()
guint64 | udisks_block_bcache_get_bypass_misses ()
guint64 | udisks_block_bcache_get_cache_size ()
guint64 | udisks_block_bcache_get_cache_used ()
guint64 | udisks_block_bcache_get_hits ()
guint64 | udisks_block_bcache_get_misses ()
const gchar * | udisks_block_bcache_get_mode ()
const gchar * | udisks_block_bcache_get_state ()
GDBusInterfaceInfo * | udisks_block_bcache_interface_info ()
guint | udisks_block_bcache_override_properties ()
void | udisks_block_bcache_proxy_new ()
UDisksBlockBcache * | udisks_block_bcache_proxy_new_finish ()
void | udisks_block_bcache_proxy_new_for_bus ()
UDisksBlockBcache * | udisks_block_bcache_proxy_new_for_bus_finish ()
UDisksBlockBcache * | udisks_block_bcache_proxy_new_for_bus_sync ()
UDisksBlockBcache * | udisks_block_bcache_proxy_new_sync ()
void | udisks_block_bcache_set_block_size ()
void | udisks_block_bcache_set_bypass_hits ()
void | udisks_block_bcache_set_bypass_misses ()
void | udisks_block_bcache_set_cache_size ()
void | udisks_block_bcache_set_cache_used ()
void | udisks_block_bcache_set_hits ()
void | udisks_block_bcache_set_misses ()
void | udisks_block_bcache_set_mode ()
void | udisks_block_bcache_set_state ()
UDisksBlockBcache * | udisks_block_bcache_skeleton_new ()

## Properties

guint64 | block-size | Read / Write
guint64 | bypass-hits | Read / Write
guint64 | bypass-misses | Read / Write
guint64 | cache-size | Read / Write
guint64 | cache-used | Read / Write
guint64 | hits | Read / Write
guint64 | misses | Read / Write
gchar * | mode | Read / Write
gchar * | state | Read / Write

## Signals

gboolean | handle-bcache-destroy | Run Last
gboolean | handle-set-mode | Run Last

## Types and Values

| UDisksBlockBcache
struct | UDisksBlockBcacheIface
struct | UDisksBlockBcacheProxy
struct | UDisksBlockBcacheProxyClass
struct | UDisksBlockBcacheSkeleton
struct | UDisksBlockBcacheSkeletonClass

## Description

This section contains code for working with the org.freedesktop.UDisks2.Block.Bcache D-Bus interface in C.

## Functions

### udisks_block_bcache_call_bcache_destroy ()

    void
    udisks_block_bcache_call_bcache_destroy
                                   (UDisksBlockBcache *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `BcacheDestroy()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_block_bcache_call_bcache_destroy_finish()` to get the result of the operation.

See `udisks_block_bcache_call_bcache_destroy_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksBlockBcacheProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.4.0

### udisks_block_bcache_call_bcache_destroy_finish ()

    gboolean
    udisks_block_bcache_call_bcache_destroy_finish
                                   (UDisksBlockBcache *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_block_bcache_call_bcache_destroy()`.

#### Parameters

proxy | A UDisksBlockBcacheProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_block_bcache_call_bcache_destroy()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.4.0

### udisks_block_bcache_call_bcache_destroy_sync ()

    gboolean
    udisks_block_bcache_call_bcache_destroy_sync
                                   (UDisksBlockBcache *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `BcacheDestroy()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_block_bcache_call_bcache_destroy()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksBlockBcacheProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.4.0

### udisks_block_bcache_call_set_mode ()

    void
    udisks_block_bcache_call_set_mode (UDisksBlockBcache *proxy,
                                       const gchar *arg_mode,
                                       GVariant *arg_options,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously invokes the `SetMode()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_block_bcache_call_set_mode_finish()` to get the result of the operation.

See `udisks_block_bcache_call_set_mode_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksBlockBcacheProxy. |
arg_mode | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.4.0

### udisks_block_bcache_call_set_mode_finish ()

    gboolean
    udisks_block_bcache_call_set_mode_finish
                                   (UDisksBlockBcache *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_block_bcache_call_set_mode()`.

#### Parameters

proxy | A UDisksBlockBcacheProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_block_bcache_call_set_mode()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.4.0

### udisks_block_bcache_call_set_mode_sync ()

    gboolean
    udisks_block_bcache_call_set_mode_sync
                                   (UDisksBlockBcache *proxy,
                                    const gchar *arg_mode,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SetMode()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_block_bcache_call_set_mode()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksBlockBcacheProxy. |
arg_mode | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.4.0

### udisks_block_bcache_complete_bcache_destroy ()

    void
    udisks_block_bcache_complete_bcache_destroy
                                   (UDisksBlockBcache *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `BcacheDestroy()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksBlockBcache. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.4.0

### udisks_block_bcache_complete_set_mode ()

    void
    udisks_block_bcache_complete_set_mode (UDisksBlockBcache *object,
                                           GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `SetMode()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksBlockBcache. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.4.0

### udisks_block_bcache_dup_mode ()

    gchar *
    udisks_block_bcache_dup_mode (UDisksBlockBcache *object);

Gets a copy of the "Mode" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlockBcache. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### udisks_block_bcache_dup_state ()

    gchar *
    udisks_block_bcache_dup_state (UDisksBlockBcache *object);

Gets a copy of the "State" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlockBcache. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### udisks_block_bcache_get_block_size ()

    guint64
    udisks_block_bcache_get_block_size (UDisksBlockBcache *object);

Gets the value of the "BlockSize" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlockBcache. |

#### Returns

The property value.

### udisks_block_bcache_get_bypass_hits ()

    guint64
    udisks_block_bcache_get_bypass_hits (UDisksBlockBcache *object);

Gets the value of the "BypassHits" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlockBcache. |

#### Returns

The property value.

### udisks_block_bcache_get_bypass_misses ()

    guint64
    udisks_block_bcache_get_bypass_misses (UDisksBlockBcache *object);

Gets the value of the "BypassMisses" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlockBcache. |

#### Returns

The property value.

### udisks_block_bcache_get_cache_size ()

    guint64
    udisks_block_bcache_get_cache_size (UDisksBlockBcache *object);

Gets the value of the "CacheSize" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlockBcache. |

#### Returns

The property value.

### udisks_block_bcache_get_cache_used ()

    guint64
    udisks_block_bcache_get_cache_used (UDisksBlockBcache *object);

Gets the value of the "CacheUsed" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlockBcache. |

#### Returns

The property value.

### udisks_block_bcache_get_hits ()

    guint64
    udisks_block_bcache_get_hits (UDisksBlockBcache *object);

Gets the value of the "Hits" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlockBcache. |

#### Returns

The property value.

### udisks_block_bcache_get_misses ()

    guint64
    udisks_block_bcache_get_misses (UDisksBlockBcache *object);

Gets the value of the "Misses" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlockBcache. |

#### Returns

The property value.

### udisks_block_bcache_get_mode ()

    const gchar *
    udisks_block_bcache_get_mode (UDisksBlockBcache *object);

Gets the value of the "Mode" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_block_bcache_dup_mode()` if on another thread.

[skip]

#### Parameters

object | A UDisksBlockBcache. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### udisks_block_bcache_get_state ()

    const gchar *
    udisks_block_bcache_get_state (UDisksBlockBcache *object);

Gets the value of the "State" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_block_bcache_dup_state()` if on another thread.

[skip]

#### Parameters

object | A UDisksBlockBcache. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### udisks_block_bcache_interface_info ()

    GDBusInterfaceInfo *
    udisks_block_bcache_interface_info (void);

Gets a machine-readable description of the org.freedesktop.UDisks2.Block.Bcache D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### udisks_block_bcache_override_properties ()

    guint
    udisks_block_bcache_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the UDisksBlockBcache interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### udisks_block_bcache_proxy_new ()

    void
    udisks_block_bcache_proxy_new (GDBusConnection *connection,
                                   GDBusProxyFlags flags,
                                   const gchar *name,
                                   const gchar *object_path,
                                   GCancellable *cancellable,
                                   GAsyncReadyCallback callback,
                                   gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Block.Bcache. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_block_bcache_proxy_new_finish()` to get the result of the operation.

See `udisks_block_bcache_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_block_bcache_proxy_new_finish ()

    UDisksBlockBcache *
    udisks_block_bcache_proxy_new_finish (GAsyncResult *res,
                                          GError **error);

Finishes an operation started with `udisks_block_bcache_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_block_bcache_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksBlockBcacheProxy]

### udisks_block_bcache_proxy_new_for_bus ()

    void
    udisks_block_bcache_proxy_new_for_bus (GBusType bus_type,
                                           GDBusProxyFlags flags,
                                           const gchar *name,
                                           const gchar *object_path,
                                           GCancellable *cancellable,
                                           GAsyncReadyCallback callback,
                                           gpointer user_data);

Like `udisks_block_bcache_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_block_bcache_proxy_new_for_bus_finish()` to get the result of the operation.

See `udisks_block_bcache_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_block_bcache_proxy_new_for_bus_finish ()

    UDisksBlockBcache *
    udisks_block_bcache_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_block_bcache_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_block_bcache_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksBlockBcacheProxy]

### udisks_block_bcache_proxy_new_for_bus_sync ()

    UDisksBlockBcache *
    udisks_block_bcache_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `udisks_block_bcache_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `udisks_block_bcache_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksBlockBcacheProxy]

### udisks_block_bcache_proxy_new_sync ()

    UDisksBlockBcache *
    udisks_block_bcache_proxy_new_sync (GDBusConnection *connection,
                                        GDBusProxyFlags flags,
                                        const gchar *name,
                                        const gchar *object_path,
                                        GCancellable *cancellable,
                                        GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Block.Bcache. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `udisks_block_bcache_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksBlockBcacheProxy]

### udisks_block_bcache_set_block_size ()

    void
    udisks_block_bcache_set_block_size (UDisksBlockBcache *object,
                                        guint64 value);

Sets the "BlockSize" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlockBcache. |
value | The value to set. |

### udisks_block_bcache_set_bypass_hits ()

    void
    udisks_block_bcache_set_bypass_hits (UDisksBlockBcache *object,
                                         guint64 value);

Sets the "BypassHits" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlockBcache. |
value | The value to set. |

### udisks_block_bcache_set_bypass_misses ()

    void
    udisks_block_bcache_set_bypass_misses (UDisksBlockBcache *object,
                                           guint64 value);

Sets the "BypassMisses" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlockBcache. |
value | The value to set. |

### udisks_block_bcache_set_cache_size ()

    void
    udisks_block_bcache_set_cache_size (UDisksBlockBcache *object,
                                        guint64 value);

Sets the "CacheSize" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlockBcache. |
value | The value to set. |

### udisks_block_bcache_set_cache_used ()

    void
    udisks_block_bcache_set_cache_used (UDisksBlockBcache *object,
                                        guint64 value);

Sets the "CacheUsed" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlockBcache. |
value | The value to set. |

### udisks_block_bcache_set_hits ()

    void
    udisks_block_bcache_set_hits (UDisksBlockBcache *object,
                                  guint64 value);

Sets the "Hits" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlockBcache. |
value | The value to set. |

### udisks_block_bcache_set_misses ()

    void
    udisks_block_bcache_set_misses (UDisksBlockBcache *object,
                                    guint64 value);

Sets the "Misses" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlockBcache. |
value | The value to set. |

### udisks_block_bcache_set_mode ()

    void
    udisks_block_bcache_set_mode (UDisksBlockBcache *object,
                                  const gchar *value);

Sets the "Mode" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlockBcache. |
value | The value to set. |

### udisks_block_bcache_set_state ()

    void
    udisks_block_bcache_set_state (UDisksBlockBcache *object,
                                   const gchar *value);

Sets the "State" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlockBcache. |
value | The value to set. |

### udisks_block_bcache_skeleton_new ()

    UDisksBlockBcache *
    udisks_block_bcache_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.freedesktop.UDisks2.Block.Bcache.

#### Returns

The skeleton object.

[transfer full][type UDisksBlockBcacheSkeleton]

## Types and Values

### UDisksBlockBcache

    typedef struct _UDisksBlockBcache UDisksBlockBcache;

Abstract interface type for the D-Bus interface org.freedesktop.UDisks2.Block.Bcache.

### struct UDisksBlockBcacheIface

    struct UDisksBlockBcacheIface {
      GTypeInterface parent_iface;

      guint64  (*get_block_size) (UDisksBlockBcache *object);

      guint64  (*get_bypass_hits) (UDisksBlockBcache *object);

      guint64  (*get_bypass_misses) (UDisksBlockBcache *object);

      guint64  (*get_cache_size) (UDisksBlockBcache *object);

      guint64  (*get_cache_used) (UDisksBlockBcache *object);

      guint64  (*get_hits) (UDisksBlockBcache *object);

      guint64  (*get_misses) (UDisksBlockBcache *object);

      const gchar * (*get_mode) (UDisksBlockBcache *object);

      const gchar * (*get_state) (UDisksBlockBcache *object);

      gboolean (*handle_bcache_destroy) (
        UDisksBlockBcache *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_options);

      gboolean (*handle_set_mode) (
        UDisksBlockBcache *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_mode,
        GVariant *arg_options);
    };

Virtual table for the D-Bus interface org.freedesktop.UDisks2.Block.Bcache.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`get_block_size` () | Getter for the “block-size” property. |
`get_bypass_hits` () | Getter for the “bypass-hits” property. |
`get_bypass_misses` () | Getter for the “bypass-misses” property. |
`get_cache_size` () | Getter for the “cache-size” property. |
`get_cache_used` () | Getter for the “cache-used” property. |
`get_hits` () | Getter for the “hits” property. |
`get_misses` () | Getter for the “misses” property. |
`get_mode` () | Getter for the “mode” property. |
`get_state` () | Getter for the “state” property. |
`handle_bcache_destroy` () | Handler for the “handle-bcache-destroy” signal. |
`handle_set_mode` () | Handler for the “handle-set-mode” signal. |

### struct UDisksBlockBcacheProxy

    struct UDisksBlockBcacheProxy {
    };

The UDisksBlockBcacheProxy structure contains only private data and should only be accessed using the provided API.

### struct UDisksBlockBcacheProxyClass

    struct UDisksBlockBcacheProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for UDisksBlockBcacheProxy.

#### Members

### struct UDisksBlockBcacheSkeleton

    struct UDisksBlockBcacheSkeleton {
    };

The UDisksBlockBcacheSkeleton structure contains only private data and should only be accessed using the provided API.

### struct UDisksBlockBcacheSkeletonClass

    struct UDisksBlockBcacheSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for UDisksBlockBcacheSkeleton.

#### Members

## Property Details

### The `“block-size”` property

      “block-size”               guint64

Represents the D-Bus property "BlockSize".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: 0

### The `“bypass-hits”` property

      “bypass-hits”              guint64

Represents the D-Bus property "BypassHits".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: 0

### The `“bypass-misses”` property

      “bypass-misses”            guint64

Represents the D-Bus property "BypassMisses".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: 0

### The `“cache-size”` property

      “cache-size”               guint64

Represents the D-Bus property "CacheSize".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: 0

### The `“cache-used”` property

      “cache-used”               guint64

Represents the D-Bus property "CacheUsed".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: 0

### The `“hits”` property

      “hits”                     guint64

Represents the D-Bus property "Hits".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: 0

### The `“misses”` property

      “misses”                   guint64

Represents the D-Bus property "Misses".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: 0

### The `“mode”` property

      “mode”                     gchar *

Represents the D-Bus property "Mode".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: NULL

### The `“state”` property

      “state”                    gchar *

Represents the D-Bus property "State".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: NULL

## Signal Details

### The `“handle-bcache-destroy”` signal

    gboolean
    user_function (UDisksBlockBcache     *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `BcacheDestroy()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_block_bcache_complete_bcache_destroy()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksBlockBcache. |
invocation | A GDBusMethodInvocation. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.4.0

### The `“handle-set-mode”` signal

    gboolean
    user_function (UDisksBlockBcache     *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_mode,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `SetMode()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_block_bcache_complete_set_mode()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksBlockBcache. |
invocation | A GDBusMethodInvocation. |
arg_mode | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.4.0